config.status 28 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985
  1. #! /bin/bash
  2. # Generated by configure.
  3. # Run this file to recreate the current configuration.
  4. # Compiler output produced by configure, useful for debugging
  5. # configure, is in config.log if it exists.
  6. debug=false
  7. ac_cs_recheck=false
  8. ac_cs_silent=false
  9. SHELL=${CONFIG_SHELL-/bin/bash}
  10. ## --------------------- ##
  11. ## M4sh Initialization. ##
  12. ## --------------------- ##
  13. # Be more Bourne compatible
  14. DUALCASE=1; export DUALCASE # for MKS sh
  15. if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  16. emulate sh
  17. NULLCMD=:
  18. # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  19. # is contrary to our usage. Disable this feature.
  20. alias -g '${1+"$@"}'='"$@"'
  21. setopt NO_GLOB_SUBST
  22. else
  23. case `(set -o) 2>/dev/null` in
  24. *posix*) set -o posix ;;
  25. esac
  26. fi
  27. # PATH needs CR
  28. # Avoid depending upon Character Ranges.
  29. as_cr_letters='abcdefghijklmnopqrstuvwxyz'
  30. as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
  31. as_cr_Letters=$as_cr_letters$as_cr_LETTERS
  32. as_cr_digits='0123456789'
  33. as_cr_alnum=$as_cr_Letters$as_cr_digits
  34. # The user is always right.
  35. if test "${PATH_SEPARATOR+set}" != set; then
  36. echo "#! /bin/sh" >conf$$.sh
  37. echo "exit 0" >>conf$$.sh
  38. chmod +x conf$$.sh
  39. if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
  40. PATH_SEPARATOR=';'
  41. else
  42. PATH_SEPARATOR=:
  43. fi
  44. rm -f conf$$.sh
  45. fi
  46. # Support unset when possible.
  47. if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  48. as_unset=unset
  49. else
  50. as_unset=false
  51. fi
  52. # IFS
  53. # We need space, tab and new line, in precisely that order. Quoting is
  54. # there to prevent editors from complaining about space-tab.
  55. # (If _AS_PATH_WALK were called with IFS unset, it would disable word
  56. # splitting by setting IFS to empty value.)
  57. as_nl='
  58. '
  59. IFS=" "" $as_nl"
  60. # Find who we are. Look in the path if we contain no directory separator.
  61. case $0 in
  62. *[\\/]* ) as_myself=$0 ;;
  63. *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
  64. for as_dir in $PATH
  65. do
  66. IFS=$as_save_IFS
  67. test -z "$as_dir" && as_dir=.
  68. test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  69. done
  70. IFS=$as_save_IFS
  71. ;;
  72. esac
  73. # We did not find ourselves, most probably we were run as `sh COMMAND'
  74. # in which case we are not to be found in the path.
  75. if test "x$as_myself" = x; then
  76. as_myself=$0
  77. fi
  78. if test ! -f "$as_myself"; then
  79. echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  80. { (exit 1); exit 1; }
  81. fi
  82. # Work around bugs in pre-3.0 UWIN ksh.
  83. for as_var in ENV MAIL MAILPATH
  84. do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  85. done
  86. PS1='$ '
  87. PS2='> '
  88. PS4='+ '
  89. # NLS nuisances.
  90. for as_var in \
  91. LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  92. LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  93. LC_TELEPHONE LC_TIME
  94. do
  95. if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
  96. eval $as_var=C; export $as_var
  97. else
  98. ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
  99. fi
  100. done
  101. # Required to use basename.
  102. if expr a : '\(a\)' >/dev/null 2>&1 &&
  103. test "X`expr 00001 : '.*\(...\)'`" = X001; then
  104. as_expr=expr
  105. else
  106. as_expr=false
  107. fi
  108. if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  109. as_basename=basename
  110. else
  111. as_basename=false
  112. fi
  113. # Name of the executable.
  114. as_me=`$as_basename -- "$0" ||
  115. $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
  116. X"$0" : 'X\(//\)$' \| \
  117. X"$0" : 'X\(/\)' \| . 2>/dev/null ||
  118. echo X/"$0" |
  119. sed '/^.*\/\([^/][^/]*\)\/*$/{
  120. s//\1/
  121. q
  122. }
  123. /^X\/\(\/\/\)$/{
  124. s//\1/
  125. q
  126. }
  127. /^X\/\(\/\).*/{
  128. s//\1/
  129. q
  130. }
  131. s/.*/./; q'`
  132. # CDPATH.
  133. $as_unset CDPATH
  134. as_lineno_1=$LINENO
  135. as_lineno_2=$LINENO
  136. test "x$as_lineno_1" != "x$as_lineno_2" &&
  137. test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
  138. # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  139. # uniformly replaced by the line number. The first 'sed' inserts a
  140. # line-number line after each line using $LINENO; the second 'sed'
  141. # does the real work. The second script uses 'N' to pair each
  142. # line-number line with the line containing $LINENO, and appends
  143. # trailing '-' during substitution so that $LINENO is not a special
  144. # case at line end.
  145. # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  146. # scripts with optimization help from Paolo Bonzini. Blame Lee
  147. # E. McMahon (1931-1989) for sed's syntax. :-)
  148. sed -n '
  149. p
  150. /[$]LINENO/=
  151. ' <$as_myself |
  152. sed '
  153. s/[$]LINENO.*/&-/
  154. t lineno
  155. b
  156. :lineno
  157. N
  158. :loop
  159. s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
  160. t loop
  161. s/-\n.*//
  162. ' >$as_me.lineno &&
  163. chmod +x "$as_me.lineno" ||
  164. { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
  165. { (exit 1); exit 1; }; }
  166. # Don't try to exec as it changes $[0], causing all sort of problems
  167. # (the dirname of $[0] is not the place where we might find the
  168. # original and so on. Autoconf is especially sensitive to this).
  169. . "./$as_me.lineno"
  170. # Exit status is that of the last command.
  171. exit
  172. }
  173. if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  174. as_dirname=dirname
  175. else
  176. as_dirname=false
  177. fi
  178. ECHO_C= ECHO_N= ECHO_T=
  179. case `echo -n x` in
  180. -n*)
  181. case `echo 'x\c'` in
  182. *c*) ECHO_T=' ';; # ECHO_T is single tab character.
  183. *) ECHO_C='\c';;
  184. esac;;
  185. *)
  186. ECHO_N='-n';;
  187. esac
  188. if expr a : '\(a\)' >/dev/null 2>&1 &&
  189. test "X`expr 00001 : '.*\(...\)'`" = X001; then
  190. as_expr=expr
  191. else
  192. as_expr=false
  193. fi
  194. rm -f conf$$ conf$$.exe conf$$.file
  195. if test -d conf$$.dir; then
  196. rm -f conf$$.dir/conf$$.file
  197. else
  198. rm -f conf$$.dir
  199. mkdir conf$$.dir
  200. fi
  201. echo >conf$$.file
  202. if ln -s conf$$.file conf$$ 2>/dev/null; then
  203. as_ln_s='ln -s'
  204. # ... but there are two gotchas:
  205. # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
  206. # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
  207. # In both cases, we have to default to `cp -p'.
  208. ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
  209. as_ln_s='cp -p'
  210. elif ln conf$$.file conf$$ 2>/dev/null; then
  211. as_ln_s=ln
  212. else
  213. as_ln_s='cp -p'
  214. fi
  215. rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
  216. rmdir conf$$.dir 2>/dev/null
  217. if mkdir -p . 2>/dev/null; then
  218. as_mkdir_p=:
  219. else
  220. test -d ./-p && rmdir ./-p
  221. as_mkdir_p=false
  222. fi
  223. if test -x / >/dev/null 2>&1; then
  224. as_test_x='test -x'
  225. else
  226. if ls -dL / >/dev/null 2>&1; then
  227. as_ls_L_option=L
  228. else
  229. as_ls_L_option=
  230. fi
  231. as_test_x='
  232. eval sh -c '\''
  233. if test -d "$1"; then
  234. test -d "$1/.";
  235. else
  236. case $1 in
  237. -*)set "./$1";;
  238. esac;
  239. case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
  240. ???[sx]*):;;*)false;;esac;fi
  241. '\'' sh
  242. '
  243. fi
  244. as_executable_p=$as_test_x
  245. # Sed expression to map a string onto a valid CPP name.
  246. as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
  247. # Sed expression to map a string onto a valid variable name.
  248. as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
  249. exec 6>&1
  250. # Save the log message, to keep $[0] and so on meaningful, and to
  251. # report actual input values of CONFIG_FILES etc. instead of their
  252. # values after options handling.
  253. ac_log="
  254. This file was extended by $as_me, which was
  255. generated by GNU Autoconf 2.61. Invocation command line was
  256. CONFIG_FILES = $CONFIG_FILES
  257. CONFIG_HEADERS = $CONFIG_HEADERS
  258. CONFIG_LINKS = $CONFIG_LINKS
  259. CONFIG_COMMANDS = $CONFIG_COMMANDS
  260. $ $0 $@
  261. on `(hostname || uname -n) 2>/dev/null | sed 1q`
  262. "
  263. # Files that config.status was made for.
  264. config_files=" doc/Makefile doc/userguide/Makefile include/GTL/Makefile include/GTL/version.h include/Makefile Makefile src/Makefile tests/Makefile"
  265. config_commands=" depfiles"
  266. ac_cs_usage="\
  267. \`$as_me' instantiates files from templates according to the
  268. current configuration.
  269. Usage: $0 [OPTIONS] [FILE]...
  270. -h, --help print this help, then exit
  271. -V, --version print version number and configuration settings, then exit
  272. -q, --quiet do not print progress messages
  273. -d, --debug don't remove temporary files
  274. --recheck update $as_me by reconfiguring in the same conditions
  275. --file=FILE[:TEMPLATE]
  276. instantiate the configuration file FILE
  277. Configuration files:
  278. $config_files
  279. Configuration commands:
  280. $config_commands
  281. Report bugs to <bug-autoconf@gnu.org>."
  282. ac_cs_version="\
  283. config.status
  284. configured by ./configure, generated by GNU Autoconf 2.61,
  285. with options \"\"
  286. Copyright (C) 2006 Free Software Foundation, Inc.
  287. This config.status script is free software; the Free Software Foundation
  288. gives unlimited permission to copy, distribute and modify it."
  289. ac_pwd='/home/gold/sf/graphlet-recompile/GTL-1.2.4'
  290. srcdir='.'
  291. INSTALL='/usr/bin/install -c'
  292. MKDIR_P='/bin/mkdir -p'
  293. # If no file are specified by the user, then we need to provide default
  294. # value. By we need to know if files were specified by the user.
  295. ac_need_defaults=:
  296. while test $# != 0
  297. do
  298. case $1 in
  299. --*=*)
  300. ac_option=`expr "X$1" : 'X\([^=]*\)='`
  301. ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
  302. ac_shift=:
  303. ;;
  304. *)
  305. ac_option=$1
  306. ac_optarg=$2
  307. ac_shift=shift
  308. ;;
  309. esac
  310. case $ac_option in
  311. # Handling of the options.
  312. -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
  313. ac_cs_recheck=: ;;
  314. --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
  315. echo "$ac_cs_version"; exit ;;
  316. --debug | --debu | --deb | --de | --d | -d )
  317. debug=: ;;
  318. --file | --fil | --fi | --f )
  319. $ac_shift
  320. CONFIG_FILES="$CONFIG_FILES $ac_optarg"
  321. ac_need_defaults=false;;
  322. --he | --h | --help | --hel | -h )
  323. echo "$ac_cs_usage"; exit ;;
  324. -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  325. | -silent | --silent | --silen | --sile | --sil | --si | --s)
  326. ac_cs_silent=: ;;
  327. # This is an error.
  328. -*) { echo "$as_me: error: unrecognized option: $1
  329. Try \`$0 --help' for more information." >&2
  330. { (exit 1); exit 1; }; } ;;
  331. *) ac_config_targets="$ac_config_targets $1"
  332. ac_need_defaults=false ;;
  333. esac
  334. shift
  335. done
  336. ac_configure_extra_args=
  337. if $ac_cs_silent; then
  338. exec 6>/dev/null
  339. ac_configure_extra_args="$ac_configure_extra_args --silent"
  340. fi
  341. if $ac_cs_recheck; then
  342. echo "running CONFIG_SHELL=/bin/bash /bin/bash ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
  343. CONFIG_SHELL=/bin/bash
  344. export CONFIG_SHELL
  345. exec /bin/bash "./configure" $ac_configure_extra_args --no-create --no-recursion
  346. fi
  347. exec 5>>config.log
  348. {
  349. echo
  350. sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
  351. ## Running $as_me. ##
  352. _ASBOX
  353. echo "$ac_log"
  354. } >&5
  355. #
  356. # INIT-COMMANDS
  357. #
  358. AMDEP_TRUE="" ac_aux_dir="config"
  359. # Handling of arguments.
  360. for ac_config_target in $ac_config_targets
  361. do
  362. case $ac_config_target in
  363. "depfiles") CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
  364. "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
  365. "doc/userguide/Makefile") CONFIG_FILES="$CONFIG_FILES doc/userguide/Makefile" ;;
  366. "include/GTL/Makefile") CONFIG_FILES="$CONFIG_FILES include/GTL/Makefile" ;;
  367. "include/GTL/version.h") CONFIG_FILES="$CONFIG_FILES include/GTL/version.h" ;;
  368. "include/Makefile") CONFIG_FILES="$CONFIG_FILES include/Makefile" ;;
  369. "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  370. "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
  371. "tests/Makefile") CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
  372. *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
  373. echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
  374. { (exit 1); exit 1; }; };;
  375. esac
  376. done
  377. # If the user did not use the arguments to specify the items to instantiate,
  378. # then the envvar interface is used. Set only those that are not.
  379. # We use the long form for the default assignment because of an extremely
  380. # bizarre bug on SunOS 4.1.3.
  381. if $ac_need_defaults; then
  382. test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  383. test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
  384. fi
  385. # Have a temporary directory for convenience. Make it in the build tree
  386. # simply because there is no reason against having it here, and in addition,
  387. # creating and moving files from /tmp can sometimes cause problems.
  388. # Hook for its removal unless debugging.
  389. # Note that there is a small window in which the directory will not be cleaned:
  390. # after its creation but before its name has been assigned to `$tmp'.
  391. $debug ||
  392. {
  393. tmp=
  394. trap 'exit_status=$?
  395. { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
  396. ' 0
  397. trap '{ (exit 1); exit 1; }' 1 2 13 15
  398. }
  399. # Create a (secure) tmp directory for tmp files.
  400. {
  401. tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  402. test -n "$tmp" && test -d "$tmp"
  403. } ||
  404. {
  405. tmp=./conf$$-$RANDOM
  406. (umask 077 && mkdir "$tmp")
  407. } ||
  408. {
  409. echo "$me: cannot create a temporary directory in ." >&2
  410. { (exit 1); exit 1; }
  411. }
  412. #
  413. # Set up the sed scripts for CONFIG_FILES section.
  414. #
  415. # No need to generate the scripts if there are no CONFIG_FILES.
  416. # This happens for instance when ./config.status config.h
  417. if test -n "$CONFIG_FILES"; then
  418. cat >"$tmp/subs-1.sed" <<\CEOF
  419. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  420. s,@SHELL@,|#_!!_#|/bin/bash,g
  421. s,@PATH_SEPARATOR@,|#_!!_#|:,g
  422. s,@PACKAGE_NAME@,|#_!!_#|,g
  423. s,@PACKAGE_TARNAME@,|#_!!_#|,g
  424. s,@PACKAGE_VERSION@,|#_!!_#|,g
  425. s,@PACKAGE_STRING@,|#_!!_#|,g
  426. s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
  427. s,@exec_prefix@,|#_!!_#|${prefix},g
  428. s,@prefix@,|#_!!_#|/usr/local,g
  429. s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
  430. s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
  431. s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
  432. s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
  433. s,@datarootdir@,|#_!!_#|${prefix}/share,g
  434. s,@datadir@,|#_!!_#|${datarootdir},g
  435. s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
  436. s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
  437. s,@localstatedir@,|#_!!_#|${prefix}/var,g
  438. s,@includedir@,|#_!!_#|${prefix}/include,g
  439. s,@oldincludedir@,|#_!!_#|/usr/include,g
  440. s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE},g
  441. s,@infodir@,|#_!!_#|${datarootdir}/info,g
  442. s,@htmldir@,|#_!!_#|${docdir},g
  443. s,@dvidir@,|#_!!_#|${docdir},g
  444. s,@pdfdir@,|#_!!_#|${docdir},g
  445. s,@psdir@,|#_!!_#|${docdir},g
  446. s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
  447. s,@localedir@,|#_!!_#|${datarootdir}/locale,g
  448. s,@mandir@,|#_!!_#|${datarootdir}/man,g
  449. s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"\\" -DPACKAGE_TARNAME=\\"\\" -DPACKAGE_VERSION=\\"\\" -DPACKAGE_STRING=\\"\\" -DPACKAGE_BUGREPORT=\\"\\" -DGENERIC_MAJOR_VERSION=1 -DGENERIC_MINOR_VERSION=2 -DGENERIC_MICRO_VERSION=4 -DPACKAGE=\\"GTL\\" -DVERSION=\\"1.2.4\\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1,g
  450. s,@ECHO_C@,|#_!!_#|,g
  451. s,@ECHO_N@,|#_!!_#|-n,g
  452. s,@ECHO_T@,|#_!!_#|,g
  453. s,@LIBS@,|#_!!_#|,g
  454. s,@build_alias@,|#_!!_#|,g
  455. s,@host_alias@,|#_!!_#|,g
  456. s,@target_alias@,|#_!!_#|,g
  457. s,@GENERIC_LIBRARY_VERSION@,|#_!!_#|3:4:2,g
  458. s,@GENERIC_LIBRARY_NAME@,|#_!!_#|GTL,g
  459. s,@GENERIC_RELEASE@,|#_!!_#|1.2,g
  460. s,@GENERIC_VERSION@,|#_!!_#|1.2.4,g
  461. s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
  462. s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
  463. s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
  464. s,@am__isrc@,|#_!!_#|,g
  465. s,@CYGPATH_W@,|#_!!_#|echo,g
  466. s,@PACKAGE@,|#_!!_#|GTL,g
  467. s,@VERSION@,|#_!!_#|1.2.4,g
  468. s,@ACLOCAL@,|#_!!_#|${SHELL} /home/gold/sf/graphlet-recompile/GTL-1.2.4/config/missing --run aclocal-1.10,g
  469. s,@AUTOCONF@,|#_!!_#|${SHELL} /home/gold/sf/graphlet-recompile/GTL-1.2.4/config/missing --run autoconf,g
  470. s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/gold/sf/graphlet-recompile/GTL-1.2.4/config/missing --run automake-1.10,g
  471. s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/gold/sf/graphlet-recompile/GTL-1.2.4/config/missing --run autoheader,g
  472. s,@MAKEINFO@,|#_!!_#|${SHELL} /home/gold/sf/graphlet-recompile/GTL-1.2.4/config/missing --run makeinfo,g
  473. s,@install_sh@,|#_!!_#|$(SHELL) /home/gold/sf/graphlet-recompile/GTL-1.2.4/config/install-sh,g
  474. s,@STRIP@,|#_!!_#|strip,g
  475. s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
  476. s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
  477. s,@AWK@,|#_!!_#|gawk,g
  478. s,@SET_MAKE@,|#_!!_#|,g
  479. s,@am__leading_dot@,|#_!!_#|.,g
  480. s,@AMTAR@,|#_!!_#|${SHELL} /home/gold/sf/graphlet-recompile/GTL-1.2.4/config/missing --run tar,g
  481. s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
  482. s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
  483. s,@CXX@,|#_!!_#|g++,g
  484. s,@CXXFLAGS@,|#_!!_#|-g -O2,g
  485. s,@LDFLAGS@,|#_!!_#|,g
  486. s,@CPPFLAGS@,|#_!!_#|,g
  487. s,@ac_ct_CXX@,|#_!!_#|g++,g
  488. s,@EXEEXT@,|#_!!_#|,g
  489. s,@OBJEXT@,|#_!!_#|o,g
  490. s,@DEPDIR@,|#_!!_#|.deps,g
  491. s,@am__include@,|#_!!_#|include,g
  492. s,@am__quote@,|#_!!_#|,g
  493. s,@AMDEP_TRUE@,|#_!!_#|,g
  494. s,@AMDEP_FALSE@,|#_!!_#|#,g
  495. s,@AMDEPBACKSLASH@,|#_!!_#|\\,g
  496. s,@CXXDEPMODE@,|#_!!_#|depmode=gcc3,g
  497. s,@am__fastdepCXX_TRUE@,|#_!!_#|,g
  498. s,@am__fastdepCXX_FALSE@,|#_!!_#|#,g
  499. s,@build@,|#_!!_#|x86_64-unknown-linux-gnu,g
  500. s,@build_cpu@,|#_!!_#|x86_64,g
  501. s,@build_vendor@,|#_!!_#|unknown,g
  502. s,@build_os@,|#_!!_#|linux-gnu,g
  503. s,@host@,|#_!!_#|x86_64-unknown-linux-gnu,g
  504. s,@host_cpu@,|#_!!_#|x86_64,g
  505. s,@host_vendor@,|#_!!_#|unknown,g
  506. s,@host_os@,|#_!!_#|linux-gnu,g
  507. s,@CC@,|#_!!_#|gcc,g
  508. s,@CFLAGS@,|#_!!_#|-g -O2,g
  509. s,@ac_ct_CC@,|#_!!_#|gcc,g
  510. s,@CCDEPMODE@,|#_!!_#|depmode=gcc3,g
  511. s,@am__fastdepCC_TRUE@,|#_!!_#|,g
  512. s,@am__fastdepCC_FALSE@,|#_!!_#|#,g
  513. s,@SED@,|#_!!_#|/bin/sed,g
  514. s,@GREP@,|#_!!_#|/bin/grep,g
  515. s,@EGREP@,|#_!!_#|/bin/grep -E,g
  516. s,@LN_S@,|#_!!_#|ln -s,g
  517. CEOF
  518. cat >"$tmp/subs-2.sed" <<\CEOF
  519. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
  520. s,@ECHO@,|#_!!_#|echo,g
  521. s,@AR@,|#_!!_#|ar,g
  522. s,@RANLIB@,|#_!!_#|ranlib,g
  523. s,@CPP@,|#_!!_#|gcc -E,g
  524. s,@CXXCPP@,|#_!!_#|g++ -E,g
  525. s,@F77@,|#_!!_#|,g
  526. s,@FFLAGS@,|#_!!_#|,g
  527. s,@ac_ct_F77@,|#_!!_#|,g
  528. s,@LIBTOOL@,|#_!!_#|$(SHELL) $(top_builddir)/libtool --silent,g
  529. s,@doxygen@,|#_!!_#|doxygen,g
  530. s,@LIBOBJS@,|#_!!_#|,g
  531. s,@LTLIBOBJS@,|#_!!_#|,g
  532. :end
  533. s/|#_!!_#|//g
  534. CEOF
  535. fi # test -n "$CONFIG_FILES"
  536. for ac_tag in :F $CONFIG_FILES :C $CONFIG_COMMANDS
  537. do
  538. case $ac_tag in
  539. :[FHLC]) ac_mode=$ac_tag; continue;;
  540. esac
  541. case $ac_mode$ac_tag in
  542. :[FHL]*:*);;
  543. :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
  544. echo "$as_me: error: Invalid tag $ac_tag." >&2;}
  545. { (exit 1); exit 1; }; };;
  546. :[FH]-) ac_tag=-:-;;
  547. :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  548. esac
  549. ac_save_IFS=$IFS
  550. IFS=:
  551. set x $ac_tag
  552. IFS=$ac_save_IFS
  553. shift
  554. ac_file=$1
  555. shift
  556. case $ac_mode in
  557. :L) ac_source=$1;;
  558. :[FH])
  559. ac_file_inputs=
  560. for ac_f
  561. do
  562. case $ac_f in
  563. -) ac_f="$tmp/stdin";;
  564. *) # Look for the file first in the build tree, then in the source tree
  565. # (if the path is not absolute). The absolute path cannot be DOS-style,
  566. # because $ac_f cannot contain `:'.
  567. test -f "$ac_f" ||
  568. case $ac_f in
  569. [\\/$]*) false;;
  570. *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
  571. esac ||
  572. { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
  573. echo "$as_me: error: cannot find input file: $ac_f" >&2;}
  574. { (exit 1); exit 1; }; };;
  575. esac
  576. ac_file_inputs="$ac_file_inputs $ac_f"
  577. done
  578. # Let's still pretend it is `configure' which instantiates (i.e., don't
  579. # use $as_me), people would be surprised to read:
  580. # /* config.h. Generated by config.status. */
  581. configure_input="Generated from "`IFS=:
  582. echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
  583. if test x"$ac_file" != x-; then
  584. configure_input="$ac_file. $configure_input"
  585. { echo "$as_me:$LINENO: creating $ac_file" >&5
  586. echo "$as_me: creating $ac_file" >&6;}
  587. fi
  588. case $ac_tag in
  589. *:-:* | *:-) cat >"$tmp/stdin";;
  590. esac
  591. ;;
  592. esac
  593. ac_dir=`$as_dirname -- "$ac_file" ||
  594. $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  595. X"$ac_file" : 'X\(//\)[^/]' \| \
  596. X"$ac_file" : 'X\(//\)$' \| \
  597. X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
  598. echo X"$ac_file" |
  599. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  600. s//\1/
  601. q
  602. }
  603. /^X\(\/\/\)[^/].*/{
  604. s//\1/
  605. q
  606. }
  607. /^X\(\/\/\)$/{
  608. s//\1/
  609. q
  610. }
  611. /^X\(\/\).*/{
  612. s//\1/
  613. q
  614. }
  615. s/.*/./; q'`
  616. { as_dir="$ac_dir"
  617. case $as_dir in #(
  618. -*) as_dir=./$as_dir;;
  619. esac
  620. test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
  621. as_dirs=
  622. while :; do
  623. case $as_dir in #(
  624. *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
  625. *) as_qdir=$as_dir;;
  626. esac
  627. as_dirs="'$as_qdir' $as_dirs"
  628. as_dir=`$as_dirname -- "$as_dir" ||
  629. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  630. X"$as_dir" : 'X\(//\)[^/]' \| \
  631. X"$as_dir" : 'X\(//\)$' \| \
  632. X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
  633. echo X"$as_dir" |
  634. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  635. s//\1/
  636. q
  637. }
  638. /^X\(\/\/\)[^/].*/{
  639. s//\1/
  640. q
  641. }
  642. /^X\(\/\/\)$/{
  643. s//\1/
  644. q
  645. }
  646. /^X\(\/\).*/{
  647. s//\1/
  648. q
  649. }
  650. s/.*/./; q'`
  651. test -d "$as_dir" && break
  652. done
  653. test -z "$as_dirs" || eval "mkdir $as_dirs"
  654. } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
  655. echo "$as_me: error: cannot create directory $as_dir" >&2;}
  656. { (exit 1); exit 1; }; }; }
  657. ac_builddir=.
  658. case "$ac_dir" in
  659. .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
  660. *)
  661. ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  662. # A ".." for each directory in $ac_dir_suffix.
  663. ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
  664. case $ac_top_builddir_sub in
  665. "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  666. *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  667. esac ;;
  668. esac
  669. ac_abs_top_builddir=$ac_pwd
  670. ac_abs_builddir=$ac_pwd$ac_dir_suffix
  671. # for backward compatibility:
  672. ac_top_builddir=$ac_top_build_prefix
  673. case $srcdir in
  674. .) # We are building in place.
  675. ac_srcdir=.
  676. ac_top_srcdir=$ac_top_builddir_sub
  677. ac_abs_top_srcdir=$ac_pwd ;;
  678. [\\/]* | ?:[\\/]* ) # Absolute name.
  679. ac_srcdir=$srcdir$ac_dir_suffix;
  680. ac_top_srcdir=$srcdir
  681. ac_abs_top_srcdir=$srcdir ;;
  682. *) # Relative name.
  683. ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
  684. ac_top_srcdir=$ac_top_build_prefix$srcdir
  685. ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
  686. esac
  687. ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
  688. case $ac_mode in
  689. :F)
  690. #
  691. # CONFIG_FILE
  692. #
  693. case $INSTALL in
  694. [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  695. *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
  696. esac
  697. ac_MKDIR_P=$MKDIR_P
  698. case $MKDIR_P in
  699. [\\/$]* | ?:[\\/]* ) ;;
  700. */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
  701. esac
  702. # If the template does not know about datarootdir, expand it.
  703. # FIXME: This hack should be removed a few years after 2.60.
  704. ac_datarootdir_hack=; ac_datarootdir_seen=
  705. case `sed -n '/datarootdir/ {
  706. p
  707. q
  708. }
  709. /@datadir@/p
  710. /@docdir@/p
  711. /@infodir@/p
  712. /@localedir@/p
  713. /@mandir@/p
  714. ' $ac_file_inputs` in
  715. *datarootdir*) ac_datarootdir_seen=yes;;
  716. *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
  717. { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
  718. echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
  719. ac_datarootdir_hack='
  720. s&@datadir@&${datarootdir}&g
  721. s&@docdir@&${datarootdir}/doc/${PACKAGE}&g
  722. s&@infodir@&${datarootdir}/info&g
  723. s&@localedir@&${datarootdir}/locale&g
  724. s&@mandir@&${datarootdir}/man&g
  725. s&\${datarootdir}&${prefix}/share&g' ;;
  726. esac
  727. sed "/^[ ]*VPATH[ ]*=/{
  728. s/:*\$(srcdir):*/:/
  729. s/:*\${srcdir}:*/:/
  730. s/:*@srcdir@:*/:/
  731. s/^\([^=]*=[ ]*\):*/\1/
  732. s/:*$//
  733. s/^[^=]*=[ ]*$//
  734. }
  735. :t
  736. /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
  737. s&@configure_input@&$configure_input&;t t
  738. s&@top_builddir@&$ac_top_builddir_sub&;t t
  739. s&@srcdir@&$ac_srcdir&;t t
  740. s&@abs_srcdir@&$ac_abs_srcdir&;t t
  741. s&@top_srcdir@&$ac_top_srcdir&;t t
  742. s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
  743. s&@builddir@&$ac_builddir&;t t
  744. s&@abs_builddir@&$ac_abs_builddir&;t t
  745. s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
  746. s&@INSTALL@&$ac_INSTALL&;t t
  747. s&@MKDIR_P@&$ac_MKDIR_P&;t t
  748. $ac_datarootdir_hack
  749. " $ac_file_inputs | sed -f "$tmp/subs-1.sed" | sed -f "$tmp/subs-2.sed" >$tmp/out
  750. test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  751. { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
  752. { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
  753. { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  754. which seems to be undefined. Please make sure it is defined." >&5
  755. echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
  756. which seems to be undefined. Please make sure it is defined." >&2;}
  757. rm -f "$tmp/stdin"
  758. case $ac_file in
  759. -) cat "$tmp/out"; rm -f "$tmp/out";;
  760. *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
  761. esac
  762. ;;
  763. :C) { echo "$as_me:$LINENO: executing $ac_file commands" >&5
  764. echo "$as_me: executing $ac_file commands" >&6;}
  765. ;;
  766. esac
  767. case $ac_file$ac_mode in
  768. "depfiles":C) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
  769. # Strip MF so we end up with the name of the file.
  770. mf=`echo "$mf" | sed -e 's/:.*$//'`
  771. # Check whether this is an Automake generated Makefile or not.
  772. # We used to match only the files named `Makefile.in', but
  773. # some people rename them; so instead we look at the file content.
  774. # Grep'ing the first line is not enough: some people post-process
  775. # each Makefile.in and add a new line on top of each file to say so.
  776. # Grep'ing the whole file is not good either: AIX grep has a line
  777. # limit of 2048, but all sed's we know have understand at least 4000.
  778. if sed 10q "$mf" | grep '^#.*generated by automake' > /dev/null 2>&1; then
  779. dirpart=`$as_dirname -- "$mf" ||
  780. $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  781. X"$mf" : 'X\(//\)[^/]' \| \
  782. X"$mf" : 'X\(//\)$' \| \
  783. X"$mf" : 'X\(/\)' \| . 2>/dev/null ||
  784. echo X"$mf" |
  785. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  786. s//\1/
  787. q
  788. }
  789. /^X\(\/\/\)[^/].*/{
  790. s//\1/
  791. q
  792. }
  793. /^X\(\/\/\)$/{
  794. s//\1/
  795. q
  796. }
  797. /^X\(\/\).*/{
  798. s//\1/
  799. q
  800. }
  801. s/.*/./; q'`
  802. else
  803. continue
  804. fi
  805. # Extract the definition of DEPDIR, am__include, and am__quote
  806. # from the Makefile without running `make'.
  807. DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
  808. test -z "$DEPDIR" && continue
  809. am__include=`sed -n 's/^am__include = //p' < "$mf"`
  810. test -z "am__include" && continue
  811. am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
  812. # When using ansi2knr, U may be empty or an underscore; expand it
  813. U=`sed -n 's/^U = //p' < "$mf"`
  814. # Find all dependency output files, they are included files with
  815. # $(DEPDIR) in their names. We invoke sed twice because it is the
  816. # simplest approach to changing $(DEPDIR) to its actual value in the
  817. # expansion.
  818. for file in `sed -n "
  819. s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
  820. sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
  821. # Make sure the directory exists.
  822. test -f "$dirpart/$file" && continue
  823. fdir=`$as_dirname -- "$file" ||
  824. $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  825. X"$file" : 'X\(//\)[^/]' \| \
  826. X"$file" : 'X\(//\)$' \| \
  827. X"$file" : 'X\(/\)' \| . 2>/dev/null ||
  828. echo X"$file" |
  829. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  830. s//\1/
  831. q
  832. }
  833. /^X\(\/\/\)[^/].*/{
  834. s//\1/
  835. q
  836. }
  837. /^X\(\/\/\)$/{
  838. s//\1/
  839. q
  840. }
  841. /^X\(\/\).*/{
  842. s//\1/
  843. q
  844. }
  845. s/.*/./; q'`
  846. { as_dir=$dirpart/$fdir
  847. case $as_dir in #(
  848. -*) as_dir=./$as_dir;;
  849. esac
  850. test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
  851. as_dirs=
  852. while :; do
  853. case $as_dir in #(
  854. *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
  855. *) as_qdir=$as_dir;;
  856. esac
  857. as_dirs="'$as_qdir' $as_dirs"
  858. as_dir=`$as_dirname -- "$as_dir" ||
  859. $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
  860. X"$as_dir" : 'X\(//\)[^/]' \| \
  861. X"$as_dir" : 'X\(//\)$' \| \
  862. X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
  863. echo X"$as_dir" |
  864. sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
  865. s//\1/
  866. q
  867. }
  868. /^X\(\/\/\)[^/].*/{
  869. s//\1/
  870. q
  871. }
  872. /^X\(\/\/\)$/{
  873. s//\1/
  874. q
  875. }
  876. /^X\(\/\).*/{
  877. s//\1/
  878. q
  879. }
  880. s/.*/./; q'`
  881. test -d "$as_dir" && break
  882. done
  883. test -z "$as_dirs" || eval "mkdir $as_dirs"
  884. } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
  885. echo "$as_me: error: cannot create directory $as_dir" >&2;}
  886. { (exit 1); exit 1; }; }; }
  887. # echo "creating $dirpart/$file"
  888. echo '# dummy' > "$dirpart/$file"
  889. done
  890. done
  891. ;;
  892. esac
  893. done # for ac_tag
  894. { (exit 0); exit 0; }